## debram 2.0.0.4

=== Makefile ===
all:
clean:
.PHONY: all clean

=== debian/changelog ===
debram (2.0.0.4) unstable; urgency=low

  * Replaced an inadvertently idiosyncratic DSC signature which Pbuilder
    disliked with a normal signature (closes: #789293).  Thanked Daniel
    Schepler for the advice.

 -- Thaddeus H. Black <thb@debian.org>  Fri, 26 June 2015 00:00:00 +0000

debram (2.0.0.3) unstable; urgency=low

  * Fixed incorrect internal dependencies in debian/rules.

 -- Thaddeus H. Black <thb@debian.org>  Thu, 21 May 2015 00:00:00 +0000

debram (2.0.0.2) unstable; urgency=low

  * Moved to debian/rules the CFLAGS mentioned in changelog 2.0.0.1.
  * In a requested effort to let the package build reproducibly, added
    dh_strip_nondeterminism to debian/rules.
  * Removed Lintian overrides.

 -- Thaddeus H. Black <thb@debian.org>  Wed, 20 May 2015 00:00:00 +0000

debram (2.0.0.1) unstable; urgency=low

  * Added an otherwise unnecessary CFLAGS to the Makefile to try to avoid a
    maybe spurious Lintian warning.

 -- Thaddeus H. Black <thb@debian.org>  Mon, 11 May 2015 00:00:00 +0000

debram (2.0.0) unstable; urgency=low

  * Removed the Debram database proper, leaving mainly just the Command
    Selection Guide.
  * Slightly updated the Command Selection Guide.  Noted however that the
    Guide's contents are quite old.
  * Appreciated A. Costa's interesting and highly literate wishlist bug report
    of nine years ago, yet noted here that if words like "metaramification"
    have not been fixed by this time, they probably never will be.  If interest
    in this wishlist report persists, Costa or any other interested person can
    reopen the report, with my compliments.  For now: (closes: #384953).
  * Noted here that Serafeim Zanikolas' wishlist bug report of seven years ago
    seems obviated by the removal of the main Debram data, besides which
    Zanikolas himself agreed in 2013 that there was no longer much point in
    the request.  Thanked Zanikolas (closes: #482446).
  * Ceased to build the debram(1) tool, obviating the use of a C compiler
    during build.  As far as the maintainer knows, this means that Clang is no
    longer interested in this package (closes: #757277).  If this conclusion is
    incorrect, then Arthur Marble or any other interested person should feel
    free to reopen the bug report.  Thanked Marble.
  * Thanked Samuel Thibault and Bart Martens for their timely NMUs.  Read, then
    erased, the note to the maintainer Thibault left in the source.
  * Updated the package description.
  * Upgraded to build-depend on Debhelper 9.
  * Conformed to Standards Version 3.9.6.
  * Updated the Doc-base section to "Debian".
  * Slightly updated the HISTORY.
  * Removed cmdsel-debs.txt and maint.txt.
  * Did not remove the Makefile, but made it very brief, since there really is
    not much left for this Makefile to do.

 -- Thaddeus H. Black <thb@debian.org>  Sat, 09 May 2015 00:00:00 +0000

=== debian/control ===
Source: debram
Section: admin
Priority: optional
Maintainer: Thaddeus H. Black <thb@debian.org>
Build-Depends: debhelper (>= 9), dh-strip-nondeterminism (>= 0.003)
Standards-Version: 3.9.6

Package: debram
Section: admin
Priority: optional
Architecture: any
Depends: ${misc:Depends}, debram-data (>= ${source:Version})
Suggests: debtags
Description: ramified catalog of available commands
 Debian GNU/Linux provides thousands upon daunting thousands of commands.
 Sorting them into broad classes then dividing and redividing them into finer,
 more specific branches, the Debram ramifies Debian's commands in much the same
 manner as a university library ramifies its books.  If you know what you want
 your computer to do but do not yet know the command to do it, you can find the
 command here.
 .
 (The Debram package used also -- indeed mainly -- to include a much larger and
 more important ramification of Debian *packages,* along with a browsing tool;
 but Debtags has superseded Debram in those respects.  What the Debram package
 still includes however is the Command Selection Guide, which though somewhat
 outdated may still be of use.)

Package: debram-data
Section: admin
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Recommends: debram (>= 0.5.1)
Conflicts: debram (<< 0.5.1)
Description: debram's architecture-independent data
 This data package installs the Debian Ramification's documentation and
 architecture-independent data.  It also provides the Command Selection
 Guide, ramifying several hundred basic GNU/Linux commands.  See debram.

## debram 2.0.0.5

=== debian/changelog ===
debram (2.0.0.5) unstable; urgency=low

  * Reuploaded, changing only this file.  Reason: the last upload had
    in this file been dated "June" rather than "Jun" (closes: #797706).

 -- Thaddeus H. Black <thb@debian.org>  Wed, 06 Jul 2016 00:00:00 +0000

## debram 2.1.0

=== debian/changelog ===
debram (2.1.0) unstable; urgency=low

  * Subramified 0230 Bash Variable Handling.
  * Where alternate Bash keypresses do the same thing, styled them
    as "foo or bar" rather than as "foo bar."
  * Expressed the Bash keypress Alt-foo instead as <Esc>foo.
  * Corrected the Bash keypress <Esc>n<Esc>^Y.
  * For Bash, preferred [@] to [*].
  * Covered Bash's array slicing.
  * Added lscpu(1) and glxinfo(1x).
  * Referred ifconfig(8) to ip(8).
  * Deleted tempfile(1), whose author or packager deprecates it in favor
    of mktemp(1).
  * Quietly restored a missing word to docdata/HISTORY.
  * Changed a few other points, too minor or too trivial to detail here.
  * Conformed to Standards Version 3.9.8.

 -- Thaddeus H. Black <thb@debian.org>  Fri, 04 Jan 2019 00:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Thaddeus H. Black <thb@debian.org>
 Build-Depends: debhelper (>= 9), dh-strip-nondeterminism (>= 0.003)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: debram
 Section: admin

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Modified by Thaddeus H. Black for debram.

out      := debram
out_data := $(out)-data
docdata  := docdata

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEBRAM_OPTIM_LVL
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  DEBRAM_OPTIM_LVL := -O0
else
  DEBRAM_OPTIM_LVL := -O2
endif

# The next line means to satisfy a Lintian warning.
# It serves no other purpose.
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir
	$(MAKE)
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp build-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	#dh_install src/$(out) usr/bin

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build-indep install
	dh_testdir -i
	dh_testroot -i
	#dh_install -i $(docdata)/$(out).txt usr/share/$(out_data)
	dh_installdocs -i
	dh_installchangelogs -i
	dh_lintian
	dh_strip_nondeterminism
	dh_compress -i #usr/share/$(out_data)/$(out).txt
	#dh_link -i usr/share/$(out_data)/$(out).txt.gz \
	#  usr/share/doc/$(out_data)/$(out).txt.gz
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installchangelogs -a
	#for DOC in \
	#  $(out).txt \
	#  $$( sed -ne 's/^$(docdata)\///p' debian/$(out_data).docs ) \
	#; do \
	#  dh_link -a usr/share/doc/$(out_data)/$${DOC}.gz \
	#    usr/share/doc/$(out)/$${DOC}.gz ; \
	#done
	for DOC in \
	  $$( sed -ne 's/^$(docdata)\///p' debian/$(out_data).docs ) \
	; do \
	  dh_link -a usr/share/doc/$(out_data)/$${DOC}.gz \
	    usr/share/doc/$(out)/$${DOC}.gz ; \
	done
	dh_link -a usr/share/doc/$(out_data)/README \
	  usr/share/doc/$(out)/README
	#dh_installman -a
	dh_lintian
	dh_strip -a
	dh_strip_nondeterminism
	dh_compress -a
	#dh_link -a usr/share/$(out_data)/$(out).txt.gz \
	#  usr/share/$(out)/$(out).txt.gz
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## debram 2.1.0+nmu1

=== debian/changelog ===
debram (2.1.0+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 16:35:03 +0100

## debram 2.2.0.3

=== debian/changelog ===
debram (2.2.0.3) unstable; urgency=low

  * Removed, or attempted to remove, the indirect dependence in debian/rules
    of the architecture-specific build upon the arch-independent build stamp.

 -- Thaddeus H. Black <thb@debian.org>  Sat, 16 Jan 2021 00:00:00 +0000

debram (2.2.0.2) unstable; urgency=low

  * Responded to automatic ftp-master objections.  (We'll see if the response
    satisfies ftp-master's current scripts.  If not, then further uploads will
    probably follow until this maintainer gets it right.)

 -- Thaddeus H. Black <thb@debian.org>  Fri, 15 Jan 2021 00:00:00 +0000

debram (2.2.0.1) unstable; urgency=low

  * Renamed docdata/HISTORY as docdata/DEVELOPMENT-HISTORY, for Debhelper now
    apparently recognizes any file named HISTORY to be a
    changelog (closes: #924166).  Thanked Andreas Beckmann for bringing the
    problem to attention.
  * Noted that the last changelog inadvertently gave the wrong bug number.

 -- Thaddeus H. Black <thb@debian.org>  Thu, 14 Jan 2021 01:00:00 +0000

debram (2.2.0) unstable; urgency=low

  * Updated to use Debhelper 12 and Policy 4.5.1.
  * Gzipped all the doc files, even small ones.
  * Renamed docdata/HISTORY as docdata/DEVELOPMENT-HISTORY, for Debhelper now
    apparently recognizes any file named HISTORY to be a
    changelog (closes: #797706).  Thanked Andreas Beckmann for bringing the
    problem to attention.
  * Added to cmdsel.txt a few commands including git(1), udisksctl(1)
    and systemctl(1).
  * Thanked Holger Levsen for his recent, timely, helpful non-Maintainer
    upload (NMU), logged below.

 -- Thaddeus H. Black <thb@debian.org>  Thu, 14 Jan 2021 00:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Thaddeus H. Black <thb@debian.org>
-Build-Depends: debhelper (>= 9), dh-strip-nondeterminism (>= 0.003)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 12), dh-strip-nondeterminism (>= 0.003)
+Standards-Version: 4.5.1
 
 Package: debram
 Section: admin

=== debian/rules ===
--- 
+++ 
@@ -42,8 +42,16 @@
 	[ ! -f Makefile ] || $(MAKE) clean
 	dh_clean
 
-install: DH_OPTIONS=
-install: build
+install: install-indep install-binary
+install-indep: DH_OPTIONS=
+install-indep: build-indep
+	dh_testdir
+	dh_testroot
+	dh_prep
+	dh_installdirs
+	#dh_install src/$(out) usr/bin
+install-arch: DH_OPTIONS=
+install-arch: build-arch
 	dh_testdir
 	dh_testroot
 	dh_prep
@@ -52,7 +60,7 @@
 
 # Build architecture-independent files here.
 # Pass -i to all debhelper commands in this target to reduce clutter.
-binary-indep: build-indep install
+binary-indep: build-indep install-indep
 	dh_testdir -i
 	dh_testroot -i
 	#dh_install -i $(docdata)/$(out).txt usr/share/$(out_data)
@@ -60,7 +68,7 @@
 	dh_installchangelogs -i
 	dh_lintian
 	dh_strip_nondeterminism
-	dh_compress -i #usr/share/$(out_data)/$(out).txt
+	dh_compress -i -A #usr/share/$(out_data)/$(out).txt
 	#dh_link -i usr/share/$(out_data)/$(out).txt.gz \
 	#  usr/share/doc/$(out_data)/$(out).txt.gz
 	dh_fixperms -i
@@ -70,7 +78,7 @@
 	dh_builddeb -i
 
 # Build architecture-dependent files here.
-binary-arch: build-arch install
+binary-arch: build-arch install-arch
 	dh_testdir -a
 	dh_testroot -a
 	dh_installdocs -a
@@ -94,7 +102,7 @@
 	dh_lintian
 	dh_strip -a
 	dh_strip_nondeterminism
-	dh_compress -a
+	dh_compress -a -A
 	#dh_link -a usr/share/$(out_data)/$(out).txt.gz \
 	#  usr/share/$(out)/$(out).txt.gz
 	dh_fixperms -a
@@ -105,4 +113,4 @@
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: build clean binary-indep binary-arch binary install-indep install-arch install

## debram 2.3.0

=== src/Makefile ===
# This file and its directory are mere placeholders.  The directory
# used to contain executable tools and, someday, is likely to include
# them again; but for now the old tools are obsolete and new tools
# would be premature.  During the meantime, some architecture-dependent
# data is generated to give the architecture-dependent binary package
# debram some content that differs from arch to arch.
.DEFAULT_GOAL := arch.dat
.PHONY: clean
arch.dat:; dpkg-architecture -q DEB_HOST_ARCH >$@
clean:; rm -fv arch.dat

=== debian/changelog ===
debram (2.3.0) unstable; urgency=low

  * Subramified 1440 Filesystems and Disks (User Commands).
  * Updated the new ram 1443 and the corresponding existing ram 8143,
    regarding CD-ROMs and their filesystems.
  * Added comm(1) to 1125 Text Sorting.
  * Added deb-substvars(5) to 5470 Debian File Formats.
  * Inserted into the architecture-specific binary package debram (rather than
    into the architecture-independent binary package debram-data) the new
    file /usr/lib/debram/arch.dat, consisting of a few bytes of
    architecture-specific placeholder data.  (In view of vague plans
    eventually to add more substantive architecture-specific content to the
    package, which has after all delivered substantive architecture-specific
    content in the past, alternatives seemed imprudent.  In alternative, the
    architecture-specific binary package could instead have been temporarily
    retired but, since the package remains harmless during the meantime, to
    retain the familiar debram/debram-data package pair seemed preferable.
    Retention lets upgrades proceed without special handling and without
    drawing a sysadmin's attention to a meaningless change in his or her local
    package list.  Besides, this way, Debian's ftp-master is not asked to
    fiddle with the temporary removal from the archive of a package that is
    likely to return, the maintainer's time is not wasted excising and then
    restoring the package, and so forth.)
  * Added Multi-Arch fields to debian/control.

 -- Thaddeus H. Black <thb@debian.org>  Wed, 27 Jan 2021 00:00:00 +0000

## debram 2.3.0+nmu1

=== debian/changelog ===
debram (2.3.0+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0 (closes: #1007445).

 -- Bastian Germann <bage@debian.org>  Fri, 13 Oct 2023 16:49:31 +0000

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Section: admin
 Priority: optional
 Architecture: any
+Multi-Arch: no
 Depends: ${misc:Depends}, debram-data (>= ${source:Version})
 Suggests: debtags
 Description: ramified catalog of available commands
@@ -29,6 +30,7 @@
 Section: admin
 Priority: optional
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: debram (>= 0.5.1)
 Conflicts: debram (<< 0.5.1)

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 build-arch-stamp:
 	dh_testdir
 	$(MAKE)
+	$(MAKE) -C src arch.dat # generate placeholding data
 	touch build-arch-stamp
 
 build-indep: build-indep-stamp
@@ -40,6 +41,7 @@
 	dh_testroot
 	rm -f build-arch-stamp build-indep-stamp build-stamp
 	[ ! -f Makefile ] || $(MAKE) clean
+	[ ! -f src/Makefile ] || $(MAKE) -C src clean # clean the placeholder
 	dh_clean
 
 install: install-indep install-binary
@@ -55,7 +57,8 @@
 	dh_testdir
 	dh_testroot
 	dh_prep
-	dh_installdirs
+	#dh_installdirs # (This line should be uncommented once the next line is deleted.)
+	dh_installdirs usr/lib/$(out) # for placeholding data
 	#dh_install src/$(out) usr/bin
 
 # Build architecture-independent files here.
@@ -81,6 +84,7 @@
 binary-arch: build-arch install-arch
 	dh_testdir -a
 	dh_testroot -a
+	dh_install src/arch.dat usr/lib/$(out) # placeholding data
 	dh_installdocs -a
 	dh_installchangelogs -a
 	#for DOC in \

## debram 2.3.0+nmu1build1

=== debian/changelog ===
debram (2.3.0+nmu1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Dec 2025 21:39:04 +0000
